org.eclnt.jsfserver.elements.componentnodes

## Class ADAPTIVESPLITAREANode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.ADAPTIVESPLITAREANode

- All Implemented Interfaces:
    java.io.Serializable

      public class ADAPTIVESPLITAREANode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ADAPTIVESPLITAREANode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ADAPTIVESPLITAREANode` | `bindActionListener(IActionListenerDelegation value)`
    `ADAPTIVESPLITAREANode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindBackground(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindBorder(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindClosetrigger(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindComment(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindDividersize(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindFlusharea(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindHeight(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindHelpid(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindOrientation(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindPadding(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindRendered(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindRounding(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindSplitsize(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `bindWidth(IDynamicContentBindingObject value)`
    `ADAPTIVESPLITAREANode` | `setActionListener(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setAdapterbinding(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setAttributemacro(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setBackground(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setBgpaint(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setBorder(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setClosetrigger(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setComment(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setConfiginfo(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setDividersize(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setFlusharea(boolean value)`
    `ADAPTIVESPLITAREANode` | `setFlusharea(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setFxstyleseq(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setHeight(int value)`
    `ADAPTIVESPLITAREANode` | `setHeight(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setHelpid(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setId(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setOrientation(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setPadding(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setPopupmenu(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setReference(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setRendered(boolean value)`
    `ADAPTIVESPLITAREANode` | `setRendered(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setRounding(int value)`
    `ADAPTIVESPLITAREANode` | `setRounding(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setSplitsize(int value)`
    `ADAPTIVESPLITAREANode` | `setSplitsize(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setStyleseq(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setStylevariant(java.lang.String value)`
    `ADAPTIVESPLITAREANode` | `setWidth(int value)`
    `ADAPTIVESPLITAREANode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ADAPTIVESPLITAREANode

          public ADAPTIVESPLITAREANode()

  - ### Method Detail

    - #### setId

          public ADAPTIVESPLITAREANode setId(java.lang.String value)

    - #### setActionListener

          public ADAPTIVESPLITAREANode setActionListener(java.lang.String value)

    - #### bindActionListener

          public ADAPTIVESPLITAREANode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public ADAPTIVESPLITAREANode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public ADAPTIVESPLITAREANode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public ADAPTIVESPLITAREANode setAttributemacro(java.lang.String value)

    - #### setBackground

          public ADAPTIVESPLITAREANode setBackground(java.lang.String value)

    - #### bindBackground

          public ADAPTIVESPLITAREANode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public ADAPTIVESPLITAREANode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public ADAPTIVESPLITAREANode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public ADAPTIVESPLITAREANode setBorder(java.lang.String value)

    - #### bindBorder

          public ADAPTIVESPLITAREANode bindBorder(IDynamicContentBindingObject value)

    - #### setClosetrigger

          public ADAPTIVESPLITAREANode setClosetrigger(java.lang.String value)

    - #### bindClosetrigger

          public ADAPTIVESPLITAREANode bindClosetrigger(IDynamicContentBindingObject value)

    - #### setComment

          public ADAPTIVESPLITAREANode setComment(java.lang.String value)

    - #### bindComment

          public ADAPTIVESPLITAREANode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public ADAPTIVESPLITAREANode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public ADAPTIVESPLITAREANode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDividersize

          public ADAPTIVESPLITAREANode setDividersize(java.lang.String value)

    - #### bindDividersize

          public ADAPTIVESPLITAREANode bindDividersize(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ADAPTIVESPLITAREANode setFlusharea(java.lang.String value)

    - #### bindFlusharea

          public ADAPTIVESPLITAREANode bindFlusharea(IDynamicContentBindingObject value)

    - #### setFlusharea

          public ADAPTIVESPLITAREANode setFlusharea(boolean value)

    - #### setFxstyleseq

          public ADAPTIVESPLITAREANode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public ADAPTIVESPLITAREANode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public ADAPTIVESPLITAREANode setHeight(java.lang.String value)

    - #### bindHeight

          public ADAPTIVESPLITAREANode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public ADAPTIVESPLITAREANode setHeight(int value)

    - #### setHelpid

          public ADAPTIVESPLITAREANode setHelpid(java.lang.String value)

    - #### bindHelpid

          public ADAPTIVESPLITAREANode bindHelpid(IDynamicContentBindingObject value)

    - #### setOrientation

          public ADAPTIVESPLITAREANode setOrientation(java.lang.String value)

    - #### bindOrientation

          public ADAPTIVESPLITAREANode bindOrientation(IDynamicContentBindingObject value)

    - #### setPadding

          public ADAPTIVESPLITAREANode setPadding(java.lang.String value)

    - #### bindPadding

          public ADAPTIVESPLITAREANode bindPadding(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public ADAPTIVESPLITAREANode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public ADAPTIVESPLITAREANode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public ADAPTIVESPLITAREANode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public ADAPTIVESPLITAREANode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public ADAPTIVESPLITAREANode setReference(java.lang.String value)

    - #### setRendered

          public ADAPTIVESPLITAREANode setRendered(java.lang.String value)

    - #### bindRendered

          public ADAPTIVESPLITAREANode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public ADAPTIVESPLITAREANode setRendered(boolean value)

    - #### setRounding

          public ADAPTIVESPLITAREANode setRounding(java.lang.String value)

    - #### bindRounding

          public ADAPTIVESPLITAREANode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public ADAPTIVESPLITAREANode setRounding(int value)

    - #### setSplitsize

          public ADAPTIVESPLITAREANode setSplitsize(java.lang.String value)

    - #### bindSplitsize

          public ADAPTIVESPLITAREANode bindSplitsize(IDynamicContentBindingObject value)

    - #### setSplitsize

          public ADAPTIVESPLITAREANode setSplitsize(int value)

    - #### setStyleseq

          public ADAPTIVESPLITAREANode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public ADAPTIVESPLITAREANode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public ADAPTIVESPLITAREANode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public ADAPTIVESPLITAREANode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public ADAPTIVESPLITAREANode setWidth(java.lang.String value)

    - #### bindWidth

          public ADAPTIVESPLITAREANode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public ADAPTIVESPLITAREANode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.